POST
/api/v2/vouchers/redemptions/{id}/reversalPOST /api/v2/vouchers/redemptions/{id}/reversal
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| id (path) | string (uuid) | Yes | |
| Idempotency-Key (header) | string | No |
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| Reason | string | Yes | |
| RestoreUse | boolean | No | |
| DryRun | boolean | No | |
| Confirm | boolean | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| RedemptionId | string (uuid) | Yes | |
| Amount | unknown | Yes | |
| Currency | string | Yes | |
| Status | string | Yes | |
| RestoreUse | boolean | Yes | |
| DryRun | boolean | Yes | |
| TransactionReference | string | Yes |
Example request
curl -X POST "https://{base_url}/api/v2/vouchers/redemptions/{id}/reversal" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"Reason":"…"}'This page is generated from the live OpenAPI specification and always matches the current API.